package com.yidianling.consultant.modular

import android.app.Activity
import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.yidianling.consultant.api.IConsultantService
import com.yidianling.consultant.modular.singlton.ConsultAssistantDialogUtils

/**
 * Created by xj on 2019/11/14.
 */

@Route(path = "/consultant/ConsultantService")
class ConsultantServiceImp: IConsultantService {
    override fun init(context: Context?) {
    }

    override fun showConsultAssistantDialog(activity: Activity) {
        ConsultAssistantDialogUtils.INSTANCE.showDialog(activity)
    }

    override fun hideConsultAssistantDialog() {
        ConsultAssistantDialogUtils.INSTANCE.hideDialog()
    }

}